POST /api/v3/digital-boards/{lcuid}/analytics/process-play-report¶
Summary¶
POST digital-board/{id}/analytics/process-play-report
Description¶
Accepts a play data report for a specific digital board
Tags: analytics
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Request Body¶
Content Type: application/json¶
Schema¶
Type: object
Properties:
format(String): one of the supported formatsreport_data(string): containing the report data to be processes
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)lcuid(string)
Example Response¶
Example Implementations¶
Bash (cURL)¶
curl --request POST \
"https://api.lucit.app/api/v3/digital-boards/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/analytics/process-play-report" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************" \
--data "{
\"format\": \"my_custom_format\",
\"report_data\": \"aliquid\"
}"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/digital-boards/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/analytics/process-play-report"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
let body = {
"format": "my_custom_format",
"report_data": "aliquid"
};
fetch(url, {
method: "POST",
headers,
body: JSON.stringify(body),
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->post(
'https://api.lucit.app/api/v3/digital-boards/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/analytics/process-play-report',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
'json' => [
'format' => 'my_custom_format',
'report_data' => 'aliquid',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/digital-boards/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/analytics/process-play-report'
payload = {
"format": "my_custom_format",
"report_data": "aliquid"
}
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('POST', url, headers=headers, json=payload)
response.json()